Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class ArrivalProcessParams

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.Named
          umontreal.iro.lecuyer.contactcenters.msk.params.CallSourceParams
              umontreal.iro.lecuyer.contactcenters.msk.params.ArrivalProcessParams

    public class ArrivalProcessParams

extends CallSourceParams

Represents the parameters for an inbound call arrival process, for blend/multi-skill call center.

Field Summary
`protected MultiPeriodGenParams` | `arrivalRates`
`protected double[]` | `arrivals`
`protected Double` | `arrivalsMult`
`protected RandomVariateGenParams` | `arvGen`
`protected RandomVariateGenParams` | `busyGen`
`protected DoubleArray` | `copulaSigma`
`protected CorrelationFit` | `correlationFit`
`protected IntArray` | `data`
`protected Boolean` | `estimateBusyness`
`protected GammaShapeEstimatorType` | `gammaShapeEstimatorType`
`protected Double` | `gammaShapeSmoothingFactor`
`protected double[]` | `lambdas`
`protected Integer` | `maxIter`
`protected Integer` | `movingWindowSize`
`protected Boolean` | `normalize`
`protected double[]` | `nortaGamma`
`protected double[]` | `nortaP`
`protected DoubleArray` | `nortaSigma`
`protected Integer` | `numMonteCarlo`
`protected double[]` | `poissonGammaRate`
`protected double[]` | `poissonGammaShape`
`protected Double` | `splineSmoothingFactor`
`protected Duration[]` | `times`
`protected String` | `type`
`protected Double` | `varianceEpsilon`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.CallSourceParams
`checkAgentsForCall, producedCallTypes, sourceEnabled, sourceToggleTimes`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`name, properties`

Constructor Summary
`ArrivalProcessParams()`

Method Summary
`MultiPeriodGenParams` | `getArrivalRates()` Gets the value of the arrivalRates property.
`double[]` | `getArrivals()`
`double` | `getArrivals(int idx)`
`int` | `getArrivalsLength()`
`double` | `getArrivalsMult()` Gets the value of the arrivalsMult property.
`RandomVariateGenParams` | `getArvGen()` Gets the value of the arvGen property.
`RandomVariateGenParams` | `getBusyGen()` Gets the value of the busyGen property.
`DoubleArray` | `getCopulaSigma()` Gets the value of the copulaSigma property.
`CorrelationFit` | `getCorrelationFit()` Gets the value of the correlationFit property.
`IntArray` | `getData()` Gets the value of the data property.
`GammaShapeEstimatorType` | `getGammaShapeEstimatorType()` Gets the value of the gammaShapeEstimatorType property.
`double` | `getGammaShapeSmoothingFactor()` Gets the value of the gammaShapeSmoothingFactor property.
`double[]` | `getLambdas()`
`double` | `getLambdas(int idx)`
`int` | `getLambdasLength()`
`int` | `getMaxIter()` Gets the value of the maxIter property.
`int` | `getMovingWindowSize()` Gets the value of the movingWindowSize property.
`double[]` | `getNortaGamma()`
`double` | `getNortaGamma(int idx)`
`int` | `getNortaGammaLength()`
`double[]` | `getNortaP()`
`double` | `getNortaP(int idx)`
`int` | `getNortaPLength()`
`DoubleArray` | `getNortaSigma()` Gets the value of the nortaSigma property.
`int` | `getNumMonteCarlo()` Gets the value of the numMonteCarlo property.
`double[]` | `getPoissonGammaRate()`
`double` | `getPoissonGammaRate(int idx)`
`int` | `getPoissonGammaRateLength()`
`double[]` | `getPoissonGammaShape()`
`double` | `getPoissonGammaShape(int idx)`
`int` | `getPoissonGammaShapeLength()`
`double` | `getSplineSmoothingFactor()` Gets the value of the splineSmoothingFactor property.
`Duration[]` | `getTimes()`
`Duration` | `getTimes(int idx)`
`int` | `getTimesLength()`
`String` | `getType()` Gets the value of the type property.
`double` | `getVarianceEpsilon()` Gets the value of the varianceEpsilon property.
`boolean` | `isEstimateBusyness()` Gets the value of the estimateBusyness property.
`boolean` | `isNormalize()` Gets the value of the normalize property.
`boolean` | `isSetArrivalRates()`
`boolean` | `isSetArrivals()`
`boolean` | `isSetArrivalsMult()`
`boolean` | `isSetArvGen()`
`boolean` | `isSetBusyGen()`
`boolean` | `isSetCopulaSigma()`
`boolean` | `isSetCorrelationFit()`
`boolean` | `isSetData()`
`boolean` | `isSetEstimateBusyness()`
`boolean` | `isSetGammaShapeEstimatorType()`
`boolean` | `isSetGammaShapeSmoothingFactor()`
`boolean` | `isSetLambdas()`
`boolean` | `isSetMaxIter()`
`boolean` | `isSetMovingWindowSize()`
`boolean` | `isSetNormalize()`
`boolean` | `isSetNortaGamma()`
`boolean` | `isSetNortaP()`
`boolean` | `isSetNortaSigma()`
`boolean` | `isSetNumMonteCarlo()`
`boolean` | `isSetPoissonGammaRate()`
`boolean` | `isSetPoissonGammaShape()`
`boolean` | `isSetSplineSmoothingFactor()`
`boolean` | `isSetTimes()`
`boolean` | `isSetType()`
`boolean` | `isSetVarianceEpsilon()`
`void` | `setArrivalRates(MultiPeriodGenParams value)` Sets the value of the arrivalRates property.
`void` | `setArrivals(double[] values)`
`double` | `setArrivals(int idx, double value)`
`void` | `setArrivalsMult(double value)` Sets the value of the arrivalsMult property.
`void` | `setArvGen(RandomVariateGenParams value)` Sets the value of the arvGen property.
`void` | `setBusyGen(RandomVariateGenParams value)` Sets the value of the busyGen property.
`void` | `setCopulaSigma(DoubleArray value)` Sets the value of the copulaSigma property.
`void` | `setCorrelationFit(CorrelationFit value)` Sets the value of the correlationFit property.
`void` | `setData(IntArray value)` Sets the value of the data property.
`void` | `setEstimateBusyness(boolean value)` Sets the value of the estimateBusyness property.
`void` | `setGammaShapeEstimatorType(GammaShapeEstimatorType value)` Sets the value of the gammaShapeEstimatorType property.
`void` | `setGammaShapeSmoothingFactor(double value)` Sets the value of the gammaShapeSmoothingFactor property.
`void` | `setLambdas(double[] values)`
`double` | `setLambdas(int idx, double value)`
`void` | `setMaxIter(int value)` Sets the value of the maxIter property.
`void` | `setMovingWindowSize(int value)` Sets the value of the movingWindowSize property.
`void` | `setNormalize(boolean value)` Sets the value of the normalize property.
`void` | `setNortaGamma(double[] values)`
`double` | `setNortaGamma(int idx, double value)`
`void` | `setNortaP(double[] values)`
`double` | `setNortaP(int idx, double value)`
`void` | `setNortaSigma(DoubleArray value)` Sets the value of the nortaSigma property.
`void` | `setNumMonteCarlo(int value)` Sets the value of the numMonteCarlo property.
`void` | `setPoissonGammaRate(double[] values)`
`double` | `setPoissonGammaRate(int idx, double value)`
`void` | `setPoissonGammaShape(double[] values)`
`double` | `setPoissonGammaShape(int idx, double value)`
`void` | `setSplineSmoothingFactor(double value)` Sets the value of the splineSmoothingFactor property.
`void` | `setTimes(Duration[] values)`
`Duration` | `setTimes(int idx, Duration value)`
`void` | `setType(String value)` Sets the value of the type property.
`void` | `setVarianceEpsilon(double value)` Sets the value of the varianceEpsilon property.
`void` | `unsetArrivals()`
`void` | `unsetArrivalsMult()`
`void` | `unsetEstimateBusyness()`
`void` | `unsetGammaShapeSmoothingFactor()`
`void` | `unsetLambdas()`
`void` | `unsetMaxIter()`
`void` | `unsetMovingWindowSize()`
`void` | `unsetNormalize()`
`void` | `unsetNortaGamma()`
`void` | `unsetNortaP()`
`void` | `unsetNumMonteCarlo()`
`void` | `unsetPoissonGammaRate()`
`void` | `unsetPoissonGammaShape()`
`void` | `unsetSplineSmoothingFactor()`
`void` | `unsetTimes()`
`void` | `unsetVarianceEpsilon()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.CallSourceParams
`getProducedCallTypes, getSourceToggleTimes, isCheckAgentsForCall, isSetCheckAgentsForCall, isSetProducedCallTypes, isSetSourceEnabled, isSetSourceToggleTimes, isSourceEnabled, setCheckAgentsForCall, setSourceEnabled, unsetCheckAgentsForCall, unsetProducedCallTypes, unsetSourceEnabled, unsetSourceToggleTimes`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`getName, getProperties, isSetName, isSetProperties, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### busyGen

    protected RandomVariateGenParams busyGen

### data

    protected IntArray data

### arvGen

    protected RandomVariateGenParams arvGen

### arrivals

    protected double[] arrivals

### poissonGammaShape

    protected double[] poissonGammaShape

### poissonGammaRate

    protected double[] poissonGammaRate

### copulaSigma

    protected DoubleArray copulaSigma

### arrivalRates

    protected MultiPeriodGenParams arrivalRates

### nortaSigma

    protected DoubleArray nortaSigma

### nortaGamma

    protected double[] nortaGamma

### nortaP

    protected double[] nortaP

### times

    protected Duration[] times

### lambdas

    protected double[] lambdas

### type

    protected String type

### normalize

    protected Boolean normalize

### estimateBusyness

    protected Boolean estimateBusyness

### splineSmoothingFactor

    protected Double splineSmoothingFactor

### correlationFit

    protected CorrelationFit correlationFit

### gammaShapeEstimatorType

    protected GammaShapeEstimatorType gammaShapeEstimatorType

### gammaShapeSmoothingFactor

    protected Double gammaShapeSmoothingFactor

### maxIter

    protected Integer maxIter

### movingWindowSize

    protected Integer movingWindowSize

### numMonteCarlo

    protected Integer numMonteCarlo

### varianceEpsilon

    protected Double varianceEpsilon

### arrivalsMult

    protected Double arrivalsMult

Constructor Detail

### ArrivalProcessParams

    public ArrivalProcessParams()

Method Detail

### getBusyGen

    public RandomVariateGenParams getBusyGen()

  Gets the value of the busyGen property.

  Returns:
    possible object is `RandomVariateGenParams`

### setBusyGen

    public void setBusyGen(RandomVariateGenParams value)

  Sets the value of the busyGen property.

  Parameters:
    `value` - allowed object is `RandomVariateGenParams`

### isSetBusyGen

    public boolean isSetBusyGen()

### getData

    public IntArray getData()

  Gets the value of the data property.

  Returns:
    possible object is `IntArray`

### setData

    public void setData(IntArray value)

  Sets the value of the data property.

  Parameters:
    `value` - allowed object is `IntArray`

### isSetData

    public boolean isSetData()

### getArvGen

    public RandomVariateGenParams getArvGen()

  Gets the value of the arvGen property.

  Returns:
    possible object is `RandomVariateGenParams`

### setArvGen

    public void setArvGen(RandomVariateGenParams value)

  Sets the value of the arvGen property.

  Parameters:
    `value` - allowed object is `RandomVariateGenParams`

### isSetArvGen

    public boolean isSetArvGen()

### getArrivals

    public double[] getArrivals()

  Returns:
    array of `Double`

### getArrivals

    public double getArrivals(int idx)

  Returns:
    one of `Double`

### getArrivalsLength

    public int getArrivalsLength()

### setArrivals

    public void setArrivals(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setArrivals

    public double setArrivals(int idx,
                              double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetArrivals

    public boolean isSetArrivals()

### unsetArrivals

    public void unsetArrivals()

### getPoissonGammaShape

    public double[] getPoissonGammaShape()

  Returns:
    array of `Double`

### getPoissonGammaShape

    public double getPoissonGammaShape(int idx)

  Returns:
    one of `Double`

### getPoissonGammaShapeLength

    public int getPoissonGammaShapeLength()

### setPoissonGammaShape

    public void setPoissonGammaShape(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setPoissonGammaShape

    public double setPoissonGammaShape(int idx,
                                       double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetPoissonGammaShape

    public boolean isSetPoissonGammaShape()

### unsetPoissonGammaShape

    public void unsetPoissonGammaShape()

### getPoissonGammaRate

    public double[] getPoissonGammaRate()

  Returns:
    array of `Double`

### getPoissonGammaRate

    public double getPoissonGammaRate(int idx)

  Returns:
    one of `Double`

### getPoissonGammaRateLength

    public int getPoissonGammaRateLength()

### setPoissonGammaRate

    public void setPoissonGammaRate(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setPoissonGammaRate

    public double setPoissonGammaRate(int idx,
                                      double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetPoissonGammaRate

    public boolean isSetPoissonGammaRate()

### unsetPoissonGammaRate

    public void unsetPoissonGammaRate()

### getCopulaSigma

    public DoubleArray getCopulaSigma()

  Gets the value of the copulaSigma property.

  Returns:
    possible object is `DoubleArray`

### setCopulaSigma

    public void setCopulaSigma(DoubleArray value)

  Sets the value of the copulaSigma property.

  Parameters:
    `value` - allowed object is `DoubleArray`

### isSetCopulaSigma

    public boolean isSetCopulaSigma()

### getArrivalRates

    public MultiPeriodGenParams getArrivalRates()

  Gets the value of the arrivalRates property.

  Returns:
    possible object is `MultiPeriodGenParams`

### setArrivalRates

    public void setArrivalRates(MultiPeriodGenParams value)

  Sets the value of the arrivalRates property.

  Parameters:
    `value` - allowed object is `MultiPeriodGenParams`

### isSetArrivalRates

    public boolean isSetArrivalRates()

### getNortaSigma

    public DoubleArray getNortaSigma()

  Gets the value of the nortaSigma property.

  Returns:
    possible object is `DoubleArray`

### setNortaSigma

    public void setNortaSigma(DoubleArray value)

  Sets the value of the nortaSigma property.

  Parameters:
    `value` - allowed object is `DoubleArray`

### isSetNortaSigma

    public boolean isSetNortaSigma()

### getNortaGamma

    public double[] getNortaGamma()

  Returns:
    array of `Double`

### getNortaGamma

    public double getNortaGamma(int idx)

  Returns:
    one of `Double`

### getNortaGammaLength

    public int getNortaGammaLength()

### setNortaGamma

    public void setNortaGamma(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setNortaGamma

    public double setNortaGamma(int idx,
                                double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetNortaGamma

    public boolean isSetNortaGamma()

### unsetNortaGamma

    public void unsetNortaGamma()

### getNortaP

    public double[] getNortaP()

  Returns:
    array of `Double`

### getNortaP

    public double getNortaP(int idx)

  Returns:
    one of `Double`

### getNortaPLength

    public int getNortaPLength()

### setNortaP

    public void setNortaP(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setNortaP

    public double setNortaP(int idx,
                            double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetNortaP

    public boolean isSetNortaP()

### unsetNortaP

    public void unsetNortaP()

### getTimes

    public Duration[] getTimes()

  Returns:
    array of `Duration`

### getTimes

    public Duration getTimes(int idx)

  Returns:
    one of `Duration`

### getTimesLength

    public int getTimesLength()

### setTimes

    public void setTimes(Duration[] values)

  Parameters:
    `values` - allowed objects are `Duration`

### setTimes

    public Duration setTimes(int idx,
                             Duration value)

  Parameters:
    `value` - allowed object is `Duration`

### isSetTimes

    public boolean isSetTimes()

### unsetTimes

    public void unsetTimes()

### getLambdas

    public double[] getLambdas()

  Returns:
    array of `Double`

### getLambdas

    public double getLambdas(int idx)

  Returns:
    one of `Double`

### getLambdasLength

    public int getLambdasLength()

### setLambdas

    public void setLambdas(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setLambdas

    public double setLambdas(int idx,
                             double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetLambdas

    public boolean isSetLambdas()

### unsetLambdas

    public void unsetLambdas()

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### isSetType

    public boolean isSetType()

### isNormalize

    public boolean isNormalize()

  Gets the value of the normalize property.

  Returns:
    possible object is `Boolean`

### setNormalize

    public void setNormalize(boolean value)

  Sets the value of the normalize property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetNormalize

    public boolean isSetNormalize()

### unsetNormalize

    public void unsetNormalize()

### isEstimateBusyness

    public boolean isEstimateBusyness()

  Gets the value of the estimateBusyness property.

  Returns:
    possible object is `Boolean`

### setEstimateBusyness

    public void setEstimateBusyness(boolean value)

  Sets the value of the estimateBusyness property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetEstimateBusyness

    public boolean isSetEstimateBusyness()

### unsetEstimateBusyness

    public void unsetEstimateBusyness()

### getSplineSmoothingFactor

    public double getSplineSmoothingFactor()

  Gets the value of the splineSmoothingFactor property.

  Returns:
    possible object is `Double`

### setSplineSmoothingFactor

    public void setSplineSmoothingFactor(double value)

  Sets the value of the splineSmoothingFactor property.

  Parameters:
    `value` - allowed object is `Double`

### isSetSplineSmoothingFactor

    public boolean isSetSplineSmoothingFactor()

### unsetSplineSmoothingFactor

    public void unsetSplineSmoothingFactor()

### getCorrelationFit

    public CorrelationFit getCorrelationFit()

  Gets the value of the correlationFit property.

  Returns:
    possible object is `CorrelationFit`

### setCorrelationFit

    public void setCorrelationFit(CorrelationFit value)

  Sets the value of the correlationFit property.

  Parameters:
    `value` - allowed object is `CorrelationFit`

### isSetCorrelationFit

    public boolean isSetCorrelationFit()

### getGammaShapeEstimatorType

    public GammaShapeEstimatorType getGammaShapeEstimatorType()

  Gets the value of the gammaShapeEstimatorType property.

  Returns:
    possible object is `GammaShapeEstimatorType`

### setGammaShapeEstimatorType

    public void setGammaShapeEstimatorType(GammaShapeEstimatorType value)

  Sets the value of the gammaShapeEstimatorType property.

  Parameters:
    `value` - allowed object is `GammaShapeEstimatorType`

### isSetGammaShapeEstimatorType

    public boolean isSetGammaShapeEstimatorType()

### getGammaShapeSmoothingFactor

    public double getGammaShapeSmoothingFactor()

  Gets the value of the gammaShapeSmoothingFactor property.

  Returns:
    possible object is `Double`

### setGammaShapeSmoothingFactor

    public void setGammaShapeSmoothingFactor(double value)

  Sets the value of the gammaShapeSmoothingFactor property.

  Parameters:
    `value` - allowed object is `Double`

### isSetGammaShapeSmoothingFactor

    public boolean isSetGammaShapeSmoothingFactor()

### unsetGammaShapeSmoothingFactor

    public void unsetGammaShapeSmoothingFactor()

### getMaxIter

    public int getMaxIter()

  Gets the value of the maxIter property.

  Returns:
    possible object is `Integer`

### setMaxIter

    public void setMaxIter(int value)

  Sets the value of the maxIter property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetMaxIter

    public boolean isSetMaxIter()

### unsetMaxIter

    public void unsetMaxIter()

### getMovingWindowSize

    public int getMovingWindowSize()

  Gets the value of the movingWindowSize property.

  Returns:
    possible object is `Integer`

### setMovingWindowSize

    public void setMovingWindowSize(int value)

  Sets the value of the movingWindowSize property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetMovingWindowSize

    public boolean isSetMovingWindowSize()

### unsetMovingWindowSize

    public void unsetMovingWindowSize()

### getNumMonteCarlo

    public int getNumMonteCarlo()

  Gets the value of the numMonteCarlo property.

  Returns:
    possible object is `Integer`

### setNumMonteCarlo

    public void setNumMonteCarlo(int value)

  Sets the value of the numMonteCarlo property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetNumMonteCarlo

    public boolean isSetNumMonteCarlo()

### unsetNumMonteCarlo

    public void unsetNumMonteCarlo()

### getVarianceEpsilon

    public double getVarianceEpsilon()

  Gets the value of the varianceEpsilon property.

  Returns:
    possible object is `Double`

### setVarianceEpsilon

    public void setVarianceEpsilon(double value)

  Sets the value of the varianceEpsilon property.

  Parameters:
    `value` - allowed object is `Double`

### isSetVarianceEpsilon

    public boolean isSetVarianceEpsilon()

### unsetVarianceEpsilon

    public void unsetVarianceEpsilon()

### getArrivalsMult

    public double getArrivalsMult()

  Gets the value of the arrivalsMult property.

  Returns:
    possible object is `Double`

### setArrivalsMult

    public void setArrivalsMult(double value)

  Sets the value of the arrivalsMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetArrivalsMult

    public boolean isSetArrivalsMult()

### unsetArrivalsMult

    public void unsetArrivalsMult()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.